[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Library packages depending on data files

Moin Adrian!
Adrian Bunk schrieb am Wednesday, den 04. February 2004:

> > It is necessary to support having multiple ABI versions of a library
> > installed at once.
> Why?
> E.g. the KDE maintainers did explicitely disallow installing multiple 
> so-versions of kdelibs at the same time.

Adrian, you should know better than most people here that this method sucks.

> And considering as an example the strange mixture of GNOME 1 and GNOME 2
> that was in testing for some months, which was caused by the fact that
> the GNOME 1 and GNOME 2 libraries can be installed at the same time,
> disallowing multiple so-versions installed at the same time results in a
> more consistent testing.

Mutual exclusion of different ABIs would not have solved anything here.

Die Polizei hat letztens in einem Kanal einen Sarg gefunden; man hat
ihn allerdings noch nicht aufbekommen. Jetzt vermutet man, daß ein
Zuhälter drinliegt.

Reply to: